Subject: [bug#64558] [PATCH 0/2] gnu: crypto+: Update to 8.8.0.

From: Christopher Baines <[email-masked]>
Date: Tue, 17 Oct 2023 10:38:59 +0100

Jean-Pierre De Jesus DIAZ via Guix-patches via <[email-masked]> writes:

> This updates the package definition of crypto++ to the latest
> version and also improves the phases expressions by removing
> unused ones, for example, the library doesn't build anymore with
> `-march=native' by default and the pkg-config file can be created
> by a make target.
>
> Enables cross-compilation for GNU/Linux targets and also for MinGW
> targets.
>
> Also, as the package can be built with `-march=...` I added the tunable
> option to the package.  This package also provides SIMD implementations
> of some functions, but these need to be explicitly used by dependent
> packages.
>
>
> Jean-Pierre De Jesus DIAZ (2):
>   gnu: crypto++: Update to 8.8.0.
>   gnu: crypto++: Add tunable property.
>
>  gnu/packages/crypto.scm | 84 ++++++++++++++---------------------------
>  1 file changed, 29 insertions(+), 55 deletions(-)

Thanks for the patches, and apologies for the long delay in looking at
them.

I've now pushed them to master as
c8312a6d070677909130c227e9a5bbcaa6a57bfe.

Chris